Bug 124 - traceroute doesn't support -g flag.
Summary: traceroute doesn't support -g flag.
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 2.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: pst
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1995-01-14 04:20 UTC by David Muir Sharnoff
Modified: 1996-03-13 08:07 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Muir Sharnoff 1995-01-14 04:20:00 UTC
	The traceroute utility on certain other systems support a -g
	flag that allows you to specify a source-route for your traceroute
	packets.  This allows you to, for example, find out what route
	packets take getting to you rather than just what route they take
	leaving.

	It also allows you to snoop and find out how other people route
	to each other.  Much fun.

Fix: 

Fixed our kernel to conform to original distributed setsockopt() behavior
for raw IP sockets and imported (and fixed) current LBL traceroute.
Comment 1 pst freebsd_committer 1996-02-08 01:09:02 UTC
Responsible Changed
From-To: freebsd-bugs->pst

Comment 2 pst freebsd_committer 1996-03-13 08:06:18 UTC
State Changed
From-To: open->closed